Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Class StreamNormalizingReader.UTF16DecoderFactory

    java.lang.Object
      org.apache.batik.util.io.StreamNormalizingReader.UTF16DecoderFactory

All Implemented Interfaces:
  StreamNormalizingReader.CharDecoderFactory

Enclosing class:
  StreamNormalizingReader

protected static class StreamNormalizingReader.UTF16DecoderFactory
extends java.lang.Object
implements StreamNormalizingReader.CharDecoderFactory

To create a UTF16Decoder.

Constructor Summary
`protected` | `StreamNormalizingReader.UTF16DecoderFactory()`

Method Summary
`CharDecoder` | `createCharDecoder(java.io.InputStream is)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamNormalizingReader.UTF16DecoderFactory

    protected StreamNormalizingReader.UTF16DecoderFactory()

Method Detail

### createCharDecoder

    public CharDecoder createCharDecoder(java.io.InputStream is)
                                  throws java.io.IOException

  Specified by:
    `createCharDecoder` in interface `StreamNormalizingReader.CharDecoderFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.